#version 410 core
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec2 aTexCoords;
layout (location = 2) in vec4 aColor;

out vec2 TexCoords;
out vec4 ParticleColor;

uniform mat4 view;
uniform mat4 projection;

void main() {
    TexCoords = aTexCoords;
    ParticleColor = aColor;
    gl_Position = projection * view * vec4(aPos, 1.0);
}